Bug 167254 - Review Request: perl-Module-Versions-Report - Report versions of all modules in memory
Review Request: perl-Module-Versions-Report - Report versions of all modules ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ralf Corsepius
David Lawrence
http://gsd.di.uminho.pt/jpo/software/...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-31 18:20 EDT by Jose Pedro Oliveira
Modified: 2008-02-13 18:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-02 08:35:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2005-08-31 18:20:01 EDT
Spec Name or Url:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Module-Versions-Report.spec
SRPM Name or Url:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Module-Versions-Report-1.02-2.src.rpm

Description:
If you add "use Module::Versions::Report;" to a program (especially
handy if your program is one that demonstrates a bug in some module),
then when the program has finished running, you well get a report
detailing the all modules in memory, and noting the version of each
(for modules that defined a $VERSION, at least).

Note:
This package is a RT 3.4 requirement.
Comment 1 Ralf Corsepius 2005-09-01 00:49:31 EDT
APPROVED
Comment 2 Xavier Bachelot 2008-02-13 16:17:47 EST
Package Change Request
======================
Package Name: perl-Module-Versions-Report
New Branches: EL-5
Updated Fedora CC: perl-sig,xavierb
Updated EPEL Owners: xavierb
Updated EPEL CC: perl-sig,xavierb

The Fedora maintainer is unresponsive, but I need this package to be in EPEL.
See bug 431929.
Comment 3 Kevin Fenzi 2008-02-13 18:03:53 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.